{
  "swagger": "2.0",
  "info": {
    "description": "Our HTTP [REST API](https://en.wikipedia.org/wiki/Representational_state_transfer) allows you to manage vital details of your account and services in client portal. [JSON](http://www.json.org/) is used for all API returns.\n\n## Authentication\n\n## JSON Web Token Authentication\n\n```bash\ncurl 'https://portal.dchost.com/api/login' \\\n    -d username=\"username\"\\\n    -d password=\"password\"\n\n# grab authentication token from the response and pass it in Authorization header\ncurl 'https://portal.dchost.com/api/details' \\\n    -H \"Authorization: Bearer $token\"\n```\n\n```php\n$resp = $client->post('login', [\n    'form_params' => [\n        'username' => 'username',\n        'password' => 'password'\n    ]\n]);\n\n$token = $resp->json()['token'];\n\n$resp = $client->get('details', [\n    'headers' => [\n        'Authorization' => 'Bearer ' . $token\n    ]\n]);\n\necho $resp->getBody();\n```\n\n> Make sure to replace `username` and `password` with your client area details.\n\nTo authenticate, you need to send a [JSON Web Token (JWT)](https://jwt.io/) in the authorization header of the HTTP request.\n\nTo obtain the authorization `token` you need to submit a request with your username and password to `POST https://portal.dchost.com/api/login` API method.\n\nAll API calls that require authentication expect HTTP header in the form of `Authorization: Bearer <token>`.\n\nFor example: `Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJodHRw...`\n\n## Basic Authentication\n\n```bash\n# pass the correct header with each request (-u option)\ncurl 'https://portal.dchost.com/api/details' \\\n    -u \"username:password\"\n```\n\n```php\nuse GuzzleHttp\\Client;\n\n$client = new Client([\n    'base_uri' => 'https://portal.dchost.com/api/',\n    'auth' => ['username', 'password']\n]);\n\n$resp = $client->get('details');\n```\n\n> Make sure to replace `username` and `password` with your client area details.\n\nThis authentication method requires that you send your client area username (email address) and password with each request.\n\nAPI calls that require authentication expect a header in the form of `Authorization: Basic <credentials>`, where credentials is the Base64 encoding of username and password joined by a single colon `:`.\n\nFor example: `Authorization: Basic QWxhZGRpbjpvcGVuIHNlc2FtZQ==`\n\nYou can find more info on this authentication method here: [Basic HTTP Authentication](https://en.wikipedia.org/wiki/Basic_access_authentication)\n\n> You must replace `QWxhZGRpbjpvcGVuIHNlc2FtZQ==` with base64 encoded version of your access details.\n\n> For security, we highly recommend to issue API calls over [HTTPS](http://en.wikipedia.org/wiki/HTTP_Secure)\n\n",
    "version": "4.20260810",
    "title": "DCHost User API"
  },
  "host": "portal.dchost.com",
  "basePath": "/api",
  "tags": [
    {
      "name": "Clientarea"
    },
    {
      "name": "Billing"
    },
    {
      "name": "Support"
    },
    {
      "name": "Domains"
    },
    {
      "name": "SSL Certificates"
    },
    {
      "name": "Services"
    },
    {
      "name": "Cart"
    },
    {
      "name": "DNS"
    }
  ],
  "schemes": [
    "https"
  ],
  "paths": {
    "/login": {
      "post": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Login",
        "description": "Generate new authorization token",
        "operationId": "getToken",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "username": {
                  "type": "string",
                  "description": "Your acount email address ",
                  "example": "user@example.com"
                },
                "password": {
                  "type": "string",
                  "description": "Account password ",
                  "example": "secret"
                }
              },
              "example": {
                "username": "user@example.com",
                "password": "secret"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJodHRw(...)5lZ9T79ft9uwOkqRRmIBbtR51_w",
                "refresh": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiIzMD(...)ChwIAb3zvxBu6kvULa2AwAt9U-I"
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJodHRw(...)5lZ9T79ft9uwOkqRRmIBbtR51_w",
                "refresh": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiIzMD(...)ChwIAb3zvxBu6kvULa2AwAt9U-I"
              }
            }
          }
        }
      }
    },
    "/mfa/challenge": {
      "post": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Request MFA",
        "description": "Send code or get initialization data for a selected MFA method. For example, for Email Verification\nthis will send a new code to suer email.\n\nSet your Authorization header to `Bearer {{mfa.token}}` using data from the ` POST /login ` response",
        "operationId": "mfaChallenge",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "method": {
                  "type": "string",
                  "description": "The MFA method to use. ",
                  "example": "email_mfa"
                },
                "params": {
                  "type": "mixed",
                  "description": "Paramtters for specific MFA methods. ",
                  "example": "No error"
                }
              },
              "example": {
                "method": "email_mfa",
                "params": "No error"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "expected_payload": {
                  "type": "object",
                  "required": [
                    "code"
                  ],
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "The code to verify"
                    }
                  }
                }
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "expected_payload": {
                  "type": "object",
                  "required": [
                    "code"
                  ],
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "The code to verify"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/mfa/verify": {
      "post": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Verify MFA",
        "description": "Receive authentication and refresh tokens after solving the MFA challenge with the user-provided data.\n\nSet your Authorization header to `Bearer {{mfa.token}}` using data from the ` POST /login ` response",
        "operationId": "mfaVerify",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "method": {
                  "type": "string",
                  "description": "The MFA method to use. ",
                  "example": "email_mfa"
                },
                "payload": {
                  "type": "mixed",
                  "description": "Data used for MFA method "
                }
              },
              "example": {
                "method": "email_mfa",
                "payload": {
                  "code": "123456"
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiJtZmFA(...)HGCeVZ0-ikvglYi8U41UPAr6G7Q",
                "expires_at": 1786125589,
                "refresh": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJodH(...)UlbKlgssysGnCZXwZ46uD7B4THk",
                "refresh_expires_at": 1793897989,
                "mfa": null
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiJtZmFA(...)HGCeVZ0-ikvglYi8U41UPAr6G7Q",
                "expires_at": 1786125589,
                "refresh": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJodH(...)UlbKlgssysGnCZXwZ46uD7B4THk",
                "refresh_expires_at": 1793897989,
                "mfa": null
              }
            }
          }
        }
      }
    },
    "/logout": {
      "post": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Logout",
        "description": "Invalidate authorization token",
        "operationId": "dropToken",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "status": true
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "status": true
              }
            }
          }
        }
      }
    },
    "/token": {
      "post": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Refresh Token",
        "description": "Generate new authorization token using refresh token",
        "operationId": "refreshToken",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "refresh_token": {
                  "type": "string",
                  "description": "Refresh token previously obtained from `POST /login`",
                  "example": "refresh_tokenValue"
                }
              },
              "example": {
                "refresh_token": "refresh_tokenValue"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJodHR(...)vY2xlYiHGvauCWZD9B0VwXgHEzXDllqY",
                "refresh": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJBQ(...)Rmivc_u3YA_kgDqOPtUuGNXOzueXYtZw"
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJodHR(...)vY2xlYiHGvauCWZD9B0VwXgHEzXDllqY",
                "refresh": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJBQ(...)Rmivc_u3YA_kgDqOPtUuGNXOzueXYtZw"
              }
            }
          }
        }
      }
    },
    "/revoke": {
      "post": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Revoke Token",
        "description": "Invalidate authorization and refresh token.\nPass refresh token or call this method with valid access token",
        "operationId": "revokeToken",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "refresh_token": {
                  "type": "string",
                  "example": "refresh_tokenValue"
                }
              },
              "example": {
                "refresh_token": "refresh_tokenValue"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "status": true
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "status": true
              }
            }
          }
        }
      }
    },
    "/signup": {
      "post": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Sign up",
        "description": "Create new account",
        "operationId": "postSignup",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "type": {
                  "type": "string",
                  "description": "Account Type",
                  "enum": [
                    "Private",
                    "Company"
                  ]
                },
                "firstname": {
                  "type": "string",
                  "description": "First Name"
                },
                "lastname": {
                  "type": "string",
                  "description": "Last Name"
                },
                "email": {
                  "type": "string",
                  "description": "Email Address"
                },
                "password": {
                  "type": "string",
                  "description": "Password"
                },
                "companyname": {
                  "type": "string",
                  "description": "Organization"
                },
                "address1": {
                  "type": "string",
                  "description": "Address 1"
                },
                "address2": {
                  "type": "string",
                  "description": "Address 2"
                },
                "postcode": {
                  "type": "string",
                  "description": "Post code"
                },
                "state": {
                  "type": "string",
                  "description": "State"
                },
                "city": {
                  "type": "string",
                  "description": "City"
                },
                "country": {
                  "type": "string",
                  "description": "Country"
                },
                "phonenumber": {
                  "type": "string",
                  "description": "Phone"
                },
                "currency": {
                  "type": "string",
                  "description": "Currency",
                  "enum": [
                    "USD",
                    "EUR",
                    "TRY"
                  ]
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "info": [
                  "client_registered"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "info": [
                  "client_registered"
                ]
              }
            }
          }
        }
      }
    },
    "/details": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "User Details",
        "description": "Return registration details for my account",
        "operationId": "getDetails",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "client": {
                  "id": "26",
                  "email": "api@example.com",
                  "lastlogin": "2016-12-30 12:24:28",
                  "ip": "172.100.2.1",
                  "host": "hostname",
                  "firstname": "Joe",
                  "lastname": "Doe",
                  "companyname": "",
                  "address1": "Pretty View Lane",
                  "address2": "3294",
                  "city": "Santa Rosa",
                  "state": "California",
                  "postcode": "95401",
                  "country": "US",
                  "phonenumber": "+1.24123123"
                }
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "client": {
                  "id": "26",
                  "email": "api@example.com",
                  "lastlogin": "2016-12-30 12:24:28",
                  "ip": "172.100.2.1",
                  "host": "hostname",
                  "firstname": "Joe",
                  "lastname": "Doe",
                  "companyname": "",
                  "address1": "Pretty View Lane",
                  "address2": "3294",
                  "city": "Santa Rosa",
                  "state": "California",
                  "postcode": "95401",
                  "country": "US",
                  "phonenumber": "+1.24123123"
                }
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Update User Details",
        "description": "Update registration details under my account",
        "operationId": "postDetails",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "type": {
                  "type": "string",
                  "description": "Account Type",
                  "enum": [
                    "Private",
                    "Company"
                  ]
                },
                "firstname": {
                  "type": "string",
                  "description": "First Name"
                },
                "lastname": {
                  "type": "string",
                  "description": "Last Name"
                },
                "email": {
                  "type": "string",
                  "description": "Email Address"
                },
                "tckno": {
                  "type": "string",
                  "description": "Turkish Identity Number"
                },
                "dateofbirth": {
                  "type": "string",
                  "description": "Date of Birth"
                },
                "companyname": {
                  "type": "string",
                  "description": "Organization"
                },
                "taxno": {
                  "type": "string",
                  "description": "Tax Number"
                },
                "taxoffice": {
                  "type": "string",
                  "description": "Tax Office"
                },
                "address1": {
                  "type": "string",
                  "description": "Address 1"
                },
                "address2": {
                  "type": "string",
                  "description": "Address 2"
                },
                "postcode": {
                  "type": "string",
                  "description": "Post code"
                },
                "state": {
                  "type": "string",
                  "description": "State"
                },
                "city": {
                  "type": "string",
                  "description": "City"
                },
                "country": {
                  "type": "string",
                  "description": "Country"
                },
                "phonenumber": {
                  "type": "string",
                  "description": "Phone"
                },
                "passport": {
                  "type": "string",
                  "description": "Passport Number"
                },
                "telegramnotifications": {
                  "type": "string",
                  "description": "Telegram",
                  "enum": [
                    "Yes"
                  ]
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "client": {
                  "id": "26",
                  "email": "api@example.com",
                  "lastlogin": "2016-12-30 12:34:20",
                  "ip": "172.100.2.1",
                  "host": "hostname",
                  "firstname": "Joe",
                  "lastname": "Doe",
                  "companyname": "",
                  "address1": "Pretty View Lane",
                  "address2": "3194",
                  "city": "Santa Rosa",
                  "state": "California",
                  "postcode": "95401",
                  "country": "US",
                  "phonenumber": "+1.24123123"
                },
                "info": [
                  "client_info_updated"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "client": {
                  "id": "26",
                  "email": "api@example.com",
                  "lastlogin": "2016-12-30 12:34:20",
                  "ip": "172.100.2.1",
                  "host": "hostname",
                  "firstname": "Joe",
                  "lastname": "Doe",
                  "companyname": "",
                  "address1": "Pretty View Lane",
                  "address2": "3194",
                  "city": "Santa Rosa",
                  "state": "California",
                  "postcode": "95401",
                  "country": "US",
                  "phonenumber": "+1.24123123"
                },
                "info": [
                  "client_info_updated"
                ]
              }
            }
          }
        }
      }
    },
    "/logs": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "User Logs",
        "description": "Returns logs from history",
        "operationId": "getLogs",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/affiliates/summary": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Get Affiliate summary",
        "description": "",
        "operationId": "affiliates_summary",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/affiliates/campaigns": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Get Affiliate campaigns",
        "description": "",
        "operationId": "affiliates_campaigns",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/affiliates/commissions": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Get Affiliate commissions",
        "description": "",
        "operationId": "affiliates_commissions",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/affiliates/payouts": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Get Affiliate payouts",
        "description": "",
        "operationId": "affiliates_payouts",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/affiliates/vouchers": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Get Affiliate vouchers",
        "description": "",
        "operationId": "affiliates_vouchers",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/affiliates/commissionplans": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Get Affiliate commission plans",
        "description": "",
        "operationId": "affiliates_commission_plans",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/contact": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "List contacts",
        "description": "Return a list of contacts on this account",
        "operationId": "profiles",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "contacts": [
                  {
                    "email": "mary@example.com",
                    "id": "49",
                    "firstname": "Mary",
                    "lastname": "Sue",
                    "companyname": "",
                    "company": "0",
                    "lastlogin": "0000-00-00 00:00:00"
                  }
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "contacts": [
                  {
                    "email": "mary@example.com",
                    "id": "49",
                    "firstname": "Mary",
                    "lastname": "Sue",
                    "companyname": "",
                    "company": "0",
                    "lastlogin": "0000-00-00 00:00:00"
                  }
                ]
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Add contact",
        "description": "Create new contact account, if password is provided you\ncan use provided email addres to login as that contact.",
        "operationId": "profiles_add",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "password": {
                  "type": "string",
                  "description": "Optional, allows you to login as contact",
                  "example": "passwordValue"
                },
                "privileges": {
                  "type": "array",
                  "description": "Array with privileges that you want to enable. Formatted the same way as output from <code>GET&nbsp;/contact/privileges</code>",
                  "items": {
                    "type": "string"
                  },
                  "example": "privilegesValue"
                },
                "type": {
                  "type": "string",
                  "description": "Account Type",
                  "enum": [
                    "Private",
                    "Company"
                  ]
                },
                "firstname": {
                  "type": "string",
                  "description": "First Name"
                },
                "lastname": {
                  "type": "string",
                  "description": "Last Name"
                },
                "email": {
                  "type": "string",
                  "description": "Email Address"
                },
                "tckno": {
                  "type": "string",
                  "description": "Turkish Identity Number"
                },
                "dateofbirth": {
                  "type": "string",
                  "description": "Date of Birth"
                },
                "companyname": {
                  "type": "string",
                  "description": "Organization"
                },
                "taxno": {
                  "type": "string",
                  "description": "Tax Number"
                },
                "taxoffice": {
                  "type": "string",
                  "description": "Tax Office"
                },
                "address1": {
                  "type": "string",
                  "description": "Address 1"
                },
                "address2": {
                  "type": "string",
                  "description": "Address 2"
                },
                "postcode": {
                  "type": "string",
                  "description": "Post code"
                },
                "state": {
                  "type": "string",
                  "description": "State"
                },
                "city": {
                  "type": "string",
                  "description": "City"
                },
                "country": {
                  "type": "string",
                  "description": "Country"
                },
                "phonenumber": {
                  "type": "string",
                  "description": "Phone"
                },
                "passport": {
                  "type": "string",
                  "description": "Passport Number"
                },
                "telegramnotifications": {
                  "type": "string",
                  "description": "Telegram",
                  "enum": [
                    "Yes"
                  ]
                }
              },
              "example": {
                "password": "passwordValue",
                "privileges": "privilegesValue"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "contact_id": "1",
                "info": [
                  "profile_added"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "contact_id": "1",
                "info": [
                  "profile_added"
                ]
              }
            }
          }
        }
      }
    },
    "/contact/privileges": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Contact privileges",
        "description": "List possible contact privileges.\nEach domain and service may list additional privileges, depending on available features.<br />",
        "operationId": "profile_privs",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/contact/{id}": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Get contacts details",
        "description": "Return array with contact details",
        "operationId": "profile_data",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Contact ID",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "contact": {
                  "id": "49",
                  "email": "mary@example.com",
                  "firstname": "Mary",
                  "lastname": "Sue",
                  "companyname": "",
                  "address1": "Pretty View Lane",
                  "address2": "3194",
                  "city": "Santa Rosa",
                  "state": "California",
                  "postcode": "95401",
                  "country": "US",
                  "phonenumber": "+1.24123123",
                  "type": "Private",
                  "privileges": {
                    "support": [
                      "tickets",
                      "newticket"
                    ]
                  }
                }
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "contact": {
                  "id": "49",
                  "email": "mary@example.com",
                  "firstname": "Mary",
                  "lastname": "Sue",
                  "companyname": "",
                  "address1": "Pretty View Lane",
                  "address2": "3194",
                  "city": "Santa Rosa",
                  "state": "California",
                  "postcode": "95401",
                  "country": "US",
                  "phonenumber": "+1.24123123",
                  "type": "Private",
                  "privileges": {
                    "support": [
                      "tickets",
                      "newticket"
                    ]
                  }
                }
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Edit contact",
        "description": "Change contact details`",
        "operationId": "profile_edit",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "description": "Contact ID",
                  "example": "idValue"
                },
                "privileges": {
                  "type": "array",
                  "description": "Array with privileges that you want to enable. Formatted the same way as output from <code>GET&nbsp;/contact/privileges</code>",
                  "items": {
                    "type": "string"
                  },
                  "example": "privilegesValue"
                },
                "type": {
                  "type": "string",
                  "description": "Account Type",
                  "enum": [
                    "Private",
                    "Company"
                  ]
                },
                "firstname": {
                  "type": "string",
                  "description": "First Name"
                },
                "lastname": {
                  "type": "string",
                  "description": "Last Name"
                },
                "email": {
                  "type": "string",
                  "description": "Email Address"
                },
                "tckno": {
                  "type": "string",
                  "description": "Turkish Identity Number"
                },
                "dateofbirth": {
                  "type": "string",
                  "description": "Date of Birth"
                },
                "companyname": {
                  "type": "string",
                  "description": "Organization"
                },
                "taxno": {
                  "type": "string",
                  "description": "Tax Number"
                },
                "taxoffice": {
                  "type": "string",
                  "description": "Tax Office"
                },
                "address1": {
                  "type": "string",
                  "description": "Address 1"
                },
                "address2": {
                  "type": "string",
                  "description": "Address 2"
                },
                "postcode": {
                  "type": "string",
                  "description": "Post code"
                },
                "state": {
                  "type": "string",
                  "description": "State"
                },
                "city": {
                  "type": "string",
                  "description": "City"
                },
                "country": {
                  "type": "string",
                  "description": "Country"
                },
                "phonenumber": {
                  "type": "string",
                  "description": "Phone"
                },
                "passport": {
                  "type": "string",
                  "description": "Passport Number"
                },
                "telegramnotifications": {
                  "type": "string",
                  "description": "Telegram",
                  "enum": [
                    "Yes"
                  ]
                }
              },
              "example": {
                "id": "idValue",
                "privileges": "privilegesValue"
              }
            }
          },
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "info": [
                  "profile_updated"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "info": [
                  "profile_updated"
                ]
              }
            }
          }
        }
      }
    },
    "/notifications": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "List all portal notifications",
        "description": "Return a list of all portal notifications.",
        "operationId": "notifications",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "rel_type",
            "type": "string",
            "in": "query",
            "description": "Optional, return only by relation type"
          },
          {
            "name": "rel_id",
            "type": "string",
            "in": "query",
            "description": "Optional, return only by relation id"
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/notifications/new": {
      "get": {
        "tags": [
          "Clientarea"
        ],
        "summary": "List new portal notifications",
        "description": "Return only new portal notifications.",
        "operationId": "notifications_new",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "rel_type",
            "type": "string",
            "in": "query",
            "description": "Optional, return only by relation type"
          },
          {
            "name": "rel_id",
            "type": "string",
            "in": "query",
            "description": "Optional, return only by relation id"
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/notifications/{id}/ack": {
      "put": {
        "tags": [
          "Clientarea"
        ],
        "summary": "Acknowledge notification",
        "description": "Marks the notification as read",
        "operationId": "notifications_set_seen",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/balance": {
      "get": {
        "tags": [
          "Billing"
        ],
        "summary": "Account balance",
        "description": "Get current account balance(unpaid invoices total), account credit",
        "operationId": "getBalance",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/invoice": {
      "get": {
        "tags": [
          "Billing"
        ],
        "summary": "List Invoices",
        "description": "List all invoices under my account",
        "operationId": "getInvoices",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "invoices": [
                  {
                    "id": "308976",
                    "date": "2016-12-30",
                    "dateorig": "2016-12-30",
                    "duedate": "2017-01-06",
                    "paybefore": "2017-01-06",
                    "total": "19.65",
                    "datepaid": "2016-12-30 12:40:47",
                    "status": "Paid",
                    "merge_id": null,
                    "number": "2016/12/1",
                    "currency": "USD"
                  }
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "invoices": [
                  {
                    "id": "308976",
                    "date": "2016-12-30",
                    "dateorig": "2016-12-30",
                    "duedate": "2017-01-06",
                    "paybefore": "2017-01-06",
                    "total": "19.65",
                    "datepaid": "2016-12-30 12:40:47",
                    "status": "Paid",
                    "merge_id": null,
                    "number": "2016/12/1",
                    "currency": "USD"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "/invoice/{id}": {
      "get": {
        "tags": [
          "Billing"
        ],
        "summary": "Invoice Details",
        "description": "Get invoice details",
        "operationId": "getInvoiceDetails",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "invoice": {
                  "id": "308976",
                  "status": "Paid",
                  "date": "2016-12-30",
                  "duedate": "2017-01-06",
                  "paybefore": "2017-01-06",
                  "datepaid": "2016-12-30 12:40:47",
                  "subtotal": 16.24,
                  "credit": 0,
                  "tax": 3.41,
                  "taxrate": 21,
                  "tax2": 0,
                  "taxrate2": 0,
                  "taxexempt": "0",
                  "total": 19.65,
                  "rate": 1,
                  "rate2": 0,
                  "rate3": 1,
                  "notes": "",
                  "items": [
                    {
                      "id": "12305",
                      "invoice_id": "308976",
                      "type": "Other",
                      "item_id": "0",
                      "description": "Example Service",
                      "amount": "15.00",
                      "taxed": "1",
                      "qty": "1.00",
                      "linetotal": "15.00"
                    },
                    {
                      "id": "12309",
                      "invoice_id": "308976",
                      "type": "Other",
                      "item_id": "-2",
                      "description": "PayPal Payment Fee",
                      "amount": "1.24",
                      "taxed": "1",
                      "qty": "1.00",
                      "linetotal": "1.24"
                    }
                  ],
                  "client": {
                    "id": "26",
                    "email": "api@example.com",
                    "firstname": "Joe",
                    "lastname": "Doe",
                    "companyname": "",
                    "address1": "Pretty View Lane",
                    "address2": "3194",
                    "city": "Santa Rosa",
                    "state": "California",
                    "postcode": "95401",
                    "country": "US",
                    "phonenumber": "+1.24123123"
                  },
                  "number": "2016/12/1",
                  "currency": "USD"
                }
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "invoice": {
                  "id": "308976",
                  "status": "Paid",
                  "date": "2016-12-30",
                  "duedate": "2017-01-06",
                  "paybefore": "2017-01-06",
                  "datepaid": "2016-12-30 12:40:47",
                  "subtotal": 16.24,
                  "credit": 0,
                  "tax": 3.41,
                  "taxrate": 21,
                  "tax2": 0,
                  "taxrate2": 0,
                  "taxexempt": "0",
                  "total": 19.65,
                  "rate": 1,
                  "rate2": 0,
                  "rate3": 1,
                  "notes": "",
                  "items": [
                    {
                      "id": "12305",
                      "invoice_id": "308976",
                      "type": "Other",
                      "item_id": "0",
                      "description": "Example Service",
                      "amount": "15.00",
                      "taxed": "1",
                      "qty": "1.00",
                      "linetotal": "15.00"
                    },
                    {
                      "id": "12309",
                      "invoice_id": "308976",
                      "type": "Other",
                      "item_id": "-2",
                      "description": "PayPal Payment Fee",
                      "amount": "1.24",
                      "taxed": "1",
                      "qty": "1.00",
                      "linetotal": "1.24"
                    }
                  ],
                  "client": {
                    "id": "26",
                    "email": "api@example.com",
                    "firstname": "Joe",
                    "lastname": "Doe",
                    "companyname": "",
                    "address1": "Pretty View Lane",
                    "address2": "3194",
                    "city": "Santa Rosa",
                    "state": "California",
                    "postcode": "95401",
                    "country": "US",
                    "phonenumber": "+1.24123123"
                  },
                  "number": "2016/12/1",
                  "currency": "USD"
                }
              }
            }
          }
        }
      }
    },
    "/invoice/{id}/credit": {
      "post": {
        "tags": [
          "Billing"
        ],
        "summary": "Apply credit",
        "description": "Apply account credit to invoice",
        "operationId": "applyCreditToInvoice",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "amount": {
                  "type": "number",
                  "description": "Optional credit amount, when no value is specified maximum amount to fully pay the invoice will be used",
                  "example": "amountValue"
                }
              },
              "example": {
                "amount": "amountValue"
              }
            }
          },
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "success": true,
                "invoice_status": "Paid",
                "applied": 2.1
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "success": true,
                "invoice_status": "Paid",
                "applied": 2.1
              }
            }
          }
        }
      }
    },
    "/payment": {
      "get": {
        "tags": [
          "Billing"
        ],
        "summary": "Payment Methods",
        "description": "List available payment methods",
        "operationId": "paymethod",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "payments": {
                  "9": "PayPal",
                  "10": "BankTransfer"
                }
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "payments": {
                  "9": "PayPal",
                  "10": "BankTransfer"
                }
              }
            }
          }
        }
      }
    },
    "/payment/fees": {
      "get": {
        "tags": [
          "Billing"
        ],
        "summary": "Payment Methods Fees",
        "description": "List available payment methods with fees",
        "operationId": "paymethod_fee",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/addfunds": {
      "get": {
        "tags": [
          "Billing"
        ],
        "summary": "Get Add Funds Information",
        "description": "Get add funds configuration: minimum and maximum deposit amounts and available payment gateways",
        "operationId": "getAddFundsInfo",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "min_amount": 10,
                "max_amount": 1000,
                "gateways": [
                  {
                    "id": 1,
                    "name": "Bank Transfer"
                  },
                  {
                    "id": 2,
                    "name": "PayPal"
                  }
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "min_amount": 10,
                "max_amount": 1000,
                "gateways": [
                  {
                    "id": 1,
                    "name": "Bank Transfer"
                  },
                  {
                    "id": 2,
                    "name": "PayPal"
                  }
                ]
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Billing"
        ],
        "summary": "Add Funds",
        "description": "Generate add funds invoice",
        "operationId": "createAddFunds",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "amount": {
                  "type": "number",
                  "description": "Amount to add to account ",
                  "example": "100.00"
                },
                "gateway": {
                  "type": "number",
                  "description": "Payment gateway ID, use `GET /addfunds` to list available gateways",
                  "example": "gatewayValue"
                }
              },
              "example": {
                "amount": "100.00",
                "gateway": "gatewayValue"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "success": true,
                "invoice_id": 123
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "success": true,
                "invoice_id": 123
              }
            }
          }
        }
      }
    },
    "/invoice/{id}/pdf": {
      "get": {
        "tags": [
          "Billing"
        ],
        "summary": "Invoice PDF",
        "description": "Get specific invoice PDF as base64 string",
        "operationId": "getInvoicePdf",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/tickets": {
      "get": {
        "tags": [
          "Support"
        ],
        "summary": "List Tickets",
        "description": "List support tickets under my account",
        "operationId": "getTickets",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "tickets": [
                  {
                    "client_read": "1",
                    "ticket_number": "736633",
                    "date": "2016-12-30 12:48:13",
                    "deptname": "Billing",
                    "subject": "Lore Ipsum",
                    "status": "Open",
                    "lastreply": "2020-09-12 11:10:03"
                  }
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "tickets": [
                  {
                    "client_read": "1",
                    "ticket_number": "736633",
                    "date": "2016-12-30 12:48:13",
                    "deptname": "Billing",
                    "subject": "Lore Ipsum",
                    "status": "Open",
                    "lastreply": "2020-09-12 11:10:03"
                  }
                ]
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Support"
        ],
        "summary": "Create Ticket",
        "description": "Submit new ticket",
        "operationId": "createTicket",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "dept_id": {
                  "type": "integer",
                  "description": "Department id ",
                  "example": 1
                },
                "subject": {
                  "type": "string",
                  "description": "Ticket subject ",
                  "example": "Subject"
                },
                "body": {
                  "type": "string",
                  "description": "Ticket message ",
                  "example": "Message ..."
                }
              },
              "example": {
                "dept_id": 1,
                "subject": "Subject",
                "body": "Message ..."
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "ticket": 865650
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "ticket": 865650
              }
            }
          }
        }
      }
    },
    "/tickets/{number}": {
      "get": {
        "tags": [
          "Support"
        ],
        "summary": "Ticket details",
        "description": "Get ticket details, including all replies",
        "operationId": "getTicketDetails",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "number",
            "type": "integer",
            "in": "path",
            "description": "Ticket number",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "ticket": {
                  "date": "2016-12-30 12:48:13",
                  "ticket_number": "736633",
                  "name": "Joe Doe",
                  "email": "api@example.com",
                  "subject": "Lore Ipsum",
                  "body": "Donec sollicitudin molestie malesuada. \r\nSed porttitor lectus nibh. Vivamus magna justo, \r\nlacinia eget consectetur sed, convallis at tellus.",
                  "status": "Answered",
                  "client_read": "1",
                  "deptname": "Billing"
                },
                "replies": [
                  {
                    "id": "929",
                    "name": "Suppport Staff",
                    "date": "2016-12-30 12:51:04",
                    "body": "Vestibulum ac diam sit amet quam \r\nvehicula elementum sed sit amet dui. \r\nPraesent sapien massa\r\n\r\n-- Maecenas efficitur elit est --",
                    "status": "Sent",
                    "type": "Admin"
                  }
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "ticket": {
                  "date": "2016-12-30 12:48:13",
                  "ticket_number": "736633",
                  "name": "Joe Doe",
                  "email": "api@example.com",
                  "subject": "Lore Ipsum",
                  "body": "Donec sollicitudin molestie malesuada. \r\nSed porttitor lectus nibh. Vivamus magna justo, \r\nlacinia eget consectetur sed, convallis at tellus.",
                  "status": "Answered",
                  "client_read": "1",
                  "deptname": "Billing"
                },
                "replies": [
                  {
                    "id": "929",
                    "name": "Suppport Staff",
                    "date": "2016-12-30 12:51:04",
                    "body": "Vestibulum ac diam sit amet quam \r\nvehicula elementum sed sit amet dui. \r\nPraesent sapien massa\r\n\r\n-- Maecenas efficitur elit est --",
                    "status": "Sent",
                    "type": "Admin"
                  }
                ]
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Support"
        ],
        "summary": "Create Reply",
        "description": "Reply to ticket",
        "operationId": "createTicketReply",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "number": {
                  "type": "integer",
                  "description": "Ticket number",
                  "example": "numberValue"
                },
                "body": {
                  "type": "string",
                  "description": "Reply message ",
                  "example": "reply text .."
                }
              },
              "example": {
                "number": "numberValue",
                "body": "reply text .."
              }
            }
          },
          {
            "name": "number",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "info": [
                  "reply_added"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "info": [
                  "reply_added"
                ]
              }
            }
          }
        }
      }
    },
    "/ticket/attachment/{file}": {
      "get": {
        "tags": [
          "Support"
        ],
        "summary": "Ticket attachment",
        "description": "Get ticket attachment",
        "operationId": "getTicketAttachment",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "number",
            "type": "integer",
            "in": "query",
            "description": "Ticket number"
          },
          {
            "name": "file",
            "type": "string",
            "in": "path",
            "description": "Attachment id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/tickets/{number}/open": {
      "put": {
        "tags": [
          "Support"
        ],
        "summary": "Re-open ticket",
        "description": "Try to re-open closed ticket",
        "operationId": "reopenTicket",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "number": {
                  "type": "integer",
                  "description": "Ticket number",
                  "example": "numberValue"
                }
              },
              "example": {
                "number": "numberValue"
              }
            }
          },
          {
            "name": "number",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "status": true
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "status": true
              }
            }
          }
        }
      }
    },
    "/tickets/{number}/close": {
      "put": {
        "tags": [
          "Support"
        ],
        "summary": "Close ticket",
        "description": "Send request to close a ticket",
        "operationId": "closeTicket",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "number": {
                  "type": "integer",
                  "description": "Ticket number",
                  "example": "numberValue"
                }
              },
              "example": {
                "number": "numberValue"
              }
            }
          },
          {
            "name": "number",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "status": true
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "status": true
              }
            }
          }
        }
      }
    },
    "/ticket/departments": {
      "get": {
        "tags": [
          "Support"
        ],
        "summary": "List ticket departments",
        "description": "Get the list of ticket departments",
        "operationId": "listTicketDepartments",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/news": {
      "get": {
        "tags": [
          "Support"
        ],
        "summary": "List News",
        "description": "List News",
        "operationId": "getNews",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/news/{news_id}": {
      "get": {
        "tags": [
          "Support"
        ],
        "summary": "Get news item",
        "description": "Returns details of the news item",
        "operationId": "getNewsItem",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "news_id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/knowledgebase": {
      "get": {
        "tags": [
          "Support"
        ],
        "summary": "List all knowledgebase categories",
        "description": "Returns list all knowledgebase categories",
        "operationId": "getKnowledgebaseCategories",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/knowledgebase/{category_id}": {
      "get": {
        "tags": [
          "Support"
        ],
        "summary": "Get knowledgebase category details",
        "description": "Returns subcategories and articles of the knowledgebase category",
        "operationId": "getKnowledgebaseCategoryDetails",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "category_id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/knowledgebase/article/{article_id}": {
      "get": {
        "tags": [
          "Support"
        ],
        "summary": "Get knowledgebase article",
        "description": "Returns an article details",
        "operationId": "getKnowledgebaseArticleDetails",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "article_id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/domain": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "List Domains",
        "description": "List domains under your account",
        "operationId": "domain",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "domains": [
                  {
                    "id": "47",
                    "name": "testname.com",
                    "expires": "2017-12-30",
                    "recurring_amount": "15.00",
                    "date_created": "2016-12-30",
                    "status": "Active",
                    "period": "1",
                    "autorenew": "1",
                    "daytoexpire": "365"
                  }
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "domains": [
                  {
                    "id": "47",
                    "name": "testname.com",
                    "expires": "2017-12-30",
                    "recurring_amount": "15.00",
                    "date_created": "2016-12-30",
                    "status": "Active",
                    "period": "1",
                    "autorenew": "1",
                    "daytoexpire": "365"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "/domain/{id}": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "Domain details",
        "description": "Get domain details",
        "operationId": "domainDetails",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "details": {
                  "id": "47",
                  "name": "testname.com",
                  "date_created": "2016-12-30",
                  "firstpayment": "10.00",
                  "recurring_amount": "15.00",
                  "period": "1",
                  "expires": "2017-12-30",
                  "status": "Active",
                  "next_due": "2017-12-30",
                  "next_invoice": "2017-11-30",
                  "idprotection": "0",
                  "nameservers": [
                    "ns1.example.com",
                    "ns2.example.com",
                    "ns3.example.com",
                    "ns4.example.com"
                  ],
                  "autorenew": "1"
                }
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "details": {
                  "id": "47",
                  "name": "testname.com",
                  "date_created": "2016-12-30",
                  "firstpayment": "10.00",
                  "recurring_amount": "15.00",
                  "period": "1",
                  "expires": "2017-12-30",
                  "status": "Active",
                  "next_due": "2017-12-30",
                  "next_invoice": "2017-11-30",
                  "idprotection": "0",
                  "nameservers": [
                    "ns1.example.com",
                    "ns2.example.com",
                    "ns3.example.com",
                    "ns4.example.com"
                  ],
                  "autorenew": "1"
                }
              }
            }
          }
        }
      }
    },
    "/domain/name/{name}": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "Domain details by name",
        "description": "Get domain details by name",
        "operationId": "domainNameDetails",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "name",
            "type": "string",
            "in": "path",
            "description": "Domain name",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/domain/{id}/ns": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "Get domain nameservers",
        "description": "",
        "operationId": "domain_ns_get",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      },
      "put": {
        "tags": [
          "Domains"
        ],
        "summary": "Update domain nameservers",
        "description": "Change domain nameservers, if `$nameservers` is left empty, default namesevers will be used",
        "operationId": "domain_ns",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "description": "Domain id",
                  "example": "idValue"
                },
                "nameservers": {
                  "type": "array",
                  "description": "List of nameservers to use",
                  "items": {
                    "type": "string"
                  },
                  "example": "nameserversValue"
                }
              },
              "example": {
                "id": "idValue",
                "nameservers": "nameserversValue"
              }
            }
          },
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "info": [
                  "success_changes_save"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "info": [
                  "success_changes_save"
                ]
              }
            }
          }
        }
      }
    },
    "/domain/{id}/reg": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "Get registered nameservers",
        "description": "List registered private/glue nameservers for a domain.\nNote: Not all domain registrar modules support returning registered nameservers.\nIf the module does not support this feature, an empty list may be returned.",
        "operationId": "domain_ns_reg_get",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      },
      "post": {
        "tags": [
          "Domains"
        ],
        "summary": "Register domain nameservers",
        "description": "Manage private/glue nameservers for a domain. Use the `action` parameter to select the operation:\n- `registerNameServer` – register a new glue record (requires `nameserver` + `ip`)\n- `modifyNameServer` – update the IP of an existing glue record (requires `nameserver` + `oldip` + `newip`)\n- `deleteNameServer` – remove a glue record (requires `nameserver`)",
        "operationId": "domain_ns_reg",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "description": "Domain id",
                  "example": "idValue"
                },
                "action": {
                  "type": "string",
                  "description": "Operation: registerNameServer, modifyNameServer, deleteNameServer ",
                  "example": "registerNameServer"
                },
                "nameserver": {
                  "type": "string",
                  "description": "Full nameserver hostname ",
                  "example": "ns1.yourdomain.com"
                },
                "ip": {
                  "type": "string",
                  "description": "IP address for the nameserver – required for registerNameServer ",
                  "example": "1.2.3.4"
                },
                "oldip": {
                  "type": "string",
                  "description": "Current IP address – required for modifyNameServer ",
                  "example": "1.2.3.4"
                },
                "newip": {
                  "type": "string",
                  "description": "New IP address – required for modifyNameServer ",
                  "example": "5.6.7.8"
                }
              },
              "example": {
                "id": "idValue",
                "action": "registerNameServer",
                "nameserver": "ns1.yourdomain.com",
                "ip": "1.2.3.4",
                "oldip": "1.2.3.4",
                "newip": "5.6.7.8"
              }
            }
          },
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/domain/{id}/dns": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "DNS Records\nDNS Records",
        "description": "List DNS records",
        "operationId": "domain_dns",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "records": [
                  {
                    "id": 1,
                    "name": "test",
                    "ttl": 0,
                    "priority": 0,
                    "type": "A",
                    "content": "100.100.10.1"
                  }
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "records": [
                  {
                    "id": 1,
                    "name": "test",
                    "ttl": 0,
                    "priority": 0,
                    "type": "A",
                    "content": "100.100.10.1"
                  }
                ]
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Domains"
        ],
        "summary": "Create DNS Records",
        "description": "Add a new DNS record",
        "operationId": "domain_dns_add",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "description": "Domain id",
                  "example": "idValue"
                },
                "name": {
                  "type": "string",
                  "description": "Reord name",
                  "example": "nameValue"
                },
                "type": {
                  "type": "string",
                  "description": "Reord type",
                  "example": "typeValue"
                },
                "priority": {
                  "type": "string",
                  "description": "Reord priority",
                  "example": "priorityValue"
                },
                "content": {
                  "type": "string",
                  "description": "Reord content eg. IP addres for A records",
                  "example": "contentValue"
                }
              },
              "example": {
                "id": "idValue",
                "name": "nameValue",
                "type": "typeValue",
                "priority": "priorityValue",
                "content": "contentValue"
              }
            }
          },
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "info": [
                  "DNS Management updated successfully"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "info": [
                  "DNS Management updated successfully"
                ]
              }
            }
          }
        }
      }
    },
    "/domain/{id}/dns/{index}": {
      "put": {
        "tags": [
          "Domains"
        ],
        "summary": "Update DNS Records",
        "description": "Change a DNS record",
        "operationId": "domain_dns_upd",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "description": "Domain id",
                  "example": "idValue"
                },
                "record_id": {
                  "type": "integer",
                  "description": "Recod index",
                  "example": "record_idValue"
                },
                "name": {
                  "type": "string",
                  "description": "Record name",
                  "example": "nameValue"
                },
                "type": {
                  "type": "string",
                  "description": "Record type",
                  "example": "typeValue"
                },
                "priority": {
                  "type": "string",
                  "description": "Record priority",
                  "example": "priorityValue"
                },
                "content": {
                  "type": "string",
                  "description": "Record content eg. IP address for A records",
                  "example": "contentValue"
                }
              },
              "example": {
                "id": "idValue",
                "record_id": "record_idValue",
                "name": "nameValue",
                "type": "typeValue",
                "priority": "priorityValue",
                "content": "contentValue"
              }
            }
          },
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          },
          {
            "name": "index",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "info": [
                  "DNS Management updated successfully"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "info": [
                  "DNS Management updated successfully"
                ]
              }
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Domains"
        ],
        "summary": "Remove DNS Records",
        "description": "Remove a DNS record",
        "operationId": "domain_dns_del",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          },
          {
            "name": "record_id",
            "type": "integer",
            "in": "query",
            "description": "Recod index"
          },
          {
            "name": "index",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "info": [
                  "DNS Management updated successfully"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "info": [
                  "DNS Management updated successfully"
                ]
              }
            }
          }
        }
      }
    },
    "/domain/{id}/dns/types": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "DNS Records Types",
        "description": "List supported records type",
        "operationId": "domain_dns_suported",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "types": [
                  "A",
                  "CNAME",
                  "URL",
                  "FRAME",
                  "MX",
                  "MXE",
                  "TXT"
                ]
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "types": [
                  "A",
                  "CNAME",
                  "URL",
                  "FRAME",
                  "MX",
                  "MXE",
                  "TXT"
                ]
              }
            }
          }
        }
      }
    },
    "/domain/{id}/epp": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "Get domain EPP Code",
        "description": "",
        "operationId": "domain_eppcode",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/domain/{id}/sync": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "Synchronize domain",
        "description": "",
        "operationId": "domain_sync",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/domain/{id}/reglock": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "Get domain lock",
        "description": "",
        "operationId": "domain_reglock",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      },
      "put": {
        "tags": [
          "Domains"
        ],
        "summary": "Update domain lock",
        "description": "",
        "operationId": "domain_reglock_update",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "description": "Domain id",
                  "example": "idValue"
                },
                "switch": {
                  "type": "boolean",
                  "description": "Enable or disable domain lock, use true to enable. ",
                  "example": true
                }
              },
              "example": {
                "id": "idValue",
                "switch": true
              }
            }
          },
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/domain/{id}/idprotection": {
      "put": {
        "tags": [
          "Domains"
        ],
        "summary": "Update domain ID Protection",
        "description": "",
        "operationId": "domain_idprotection_update",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "description": "Domain id",
                  "example": "idValue"
                },
                "switch": {
                  "type": "boolean",
                  "description": "Enable or disable ID orotection, use true to enable. ",
                  "example": true
                }
              },
              "example": {
                "id": "idValue",
                "switch": true
              }
            }
          },
          {
            "name": "id",
            "type": "string",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`"
          }
        }
      }
    },
    "/domain/{id}/contact": {
      "get": {
        "tags": [
          "Domains"
        ],
        "summary": "Get domain contact info",
        "description": "",
        "operationId": "domain_contact_get",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "id",
            "type": "integer",
            "in": "path",
            "description": "Domain id",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "`Success`",
            "examples": {
              "application/json": {
                "success": true,
                "domain_id": "428",
                "contact_info": {
                  "registrant": {
                    "firstname": "",
                    "lastname": "",
                    "companyname": "",
                    "email": "",
                    "phonenumber": "",
                    "address1": "",
                    "address2": "",
                    "city": "",
                    "state": "",
                    "postcode": "",
                    "country": ""
                  },
                  "tech": {
                    "firstname": "",
                    "lastname": "",
                    "companyname": "",
                    "email": "",
                    "phonenumber": "",
                    "address1": "",
                    "address2": "",
                    "city": "",
                    "state": "",
                    "postcode": "",
                    "country": ""
                  },
                  "admin": {
                    "firstname": "",
                    "lastname": "",
                    "companyname": "",
                    "email": "",
                    "phonenumber": "",
                    "address1": "",
                    "address2": "",
                    "city": "",
                    "state": "",
                    "postcode": "",
                    "country": ""
                  },
                  "billing": {
                    "firstname": "",
                    "lastname": "",
                    "companyname": "",
                    "email": "",
                    "phonenumber": "",
                    "address1": "",
                    "address2": "",
                    "city": "",
                    "state": "",
                    "postcode": "",
                    "country": ""
                  }
                }
              }
            },
            "schema": {
              "type": "object",
              "example": {
                "success": true,
                "domain_id": "428",
                "contact_info": {
                  "registrant": {
                    "firstname": "",
                    "lastname": "",
                    "companyname": "",
                    "email": "",
                    "phonenumber": "",
                    "address1": "",
                    "address2": "",
                    "city": "",
                    "state": "",
                    "postcode": "",
                    "country": ""
                  },
                  "tech": {
                    "firstname": "",
                    "lastname": "",
                    "companyname": "",
                    "email": "",
                    "phonenumber": "",
                    "address1": "",
                    "address2": "",
                    "city": "",
                    "state": "",
                    "postcode": "",
                    "country": ""
                  },
                  "admin": {
                    "firstname": "",
                    "lastname": "",
                    "companyname": "",
                    "email": "",
                    "phonenumber": "",
                    "address1": "",
                    "address2": "",
[...]
